package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.AreaFireProportion;
import com.lightinit.hsdatashow.entity.AreaFireProportionExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface AreaFireProportionMapper {
    long countByExample(AreaFireProportionExample example);

    int deleteByExample(AreaFireProportionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AreaFireProportion record);

    int insertSelective(AreaFireProportion record);

    List<AreaFireProportion> selectByExample(AreaFireProportionExample example);

    AreaFireProportion selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AreaFireProportion record, @Param("example") AreaFireProportionExample example);

    int updateByExample(@Param("record") AreaFireProportion record, @Param("example") AreaFireProportionExample example);

    int updateByPrimaryKeySelective(AreaFireProportion record);

    int updateByPrimaryKey(AreaFireProportion record);

    List<ChartModel> getAreFireProportion();
}